slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSPowerSetUpdate

Sets a flag to indicate that the residual is updated monolithically for nonlinear problems. This potentially has a better convergence.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetUpdate(EPS eps,PetscBool update)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| update | - whether the residual is updated monolithically or not

### Options Database Key

| -eps_power_update | - Sets the update flag

### See Also

EPSPowerGetUpdate(), EPSPowerGetNonlinear(), EPSSetOperators()

### Level

advanced

### Location

src/eps/impls/power/power.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages